QGIS Application - Bug report #17761
Working with SVG marker in (outline) marker line crash QGIS
2017-12-30 01:50 PM - Klas Karlsson

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.18.15 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 25657
Description

Testen on QGIS 2.18.15 on Ubuntu 16.04 (no problem found on QGIS 2.99)

Using a svg as a marker symbol when | style polygons with "outline: marker line" eventually crash QGIS. (also crash when using marker
line with svg on line layer).

It's not immediate, but a combination of repeatedly changing marker line interval distance and svg symbol size eventually crash QGIS
every time. This is especially true for small distances and sizes.

I've tried different svg-symbols, both included in QGIS and my own files. I've also tried different polygon layers, but eventually it always
crash.

The problem is mostly limited to styling in the "live style panel", but preparing a style in the layer properties dialogue and then pressing ok
has also crashed QGIS on occasion.

Some error messages are more substantial than others, so the text below is only an example.

Example of crash messages (when starting qgis from terminal):
Warning: QPicture::play: Invalid command 44
Warning: QPicture::play: Invalid command 240
Warning: QPicture::play: Invalid command 128
Warning: QPicture::play: Format error
Warning: QPicture::play: Invalid command 116
Warning: QIODevice::seek: The device is not open
Warning: QPicture::play: Invalid command 240
Warning: QPicture::play: Invalid command 240
Warning: QPicture::play: Invalid command 84
Warning: QPicture::play: Invalid command 240
Warning: QPicture::play: Invalid command 34
Warning: QPicture::play: Invalid command 3
Warning: QPicture::play: Invalid command 240
Warning: QPicture::play: Invalid command 240
Warning: QPicture::play: Invalid command 240
Warning: QPicture::play: Invalid command 255
Warning: QPicture::play: Invalid command 28
Warning: QPicture::play: Invalid command 83
Warning: QPicture::play: Invalid command 58
Warning: QPicture::play: Invalid command 218
Warning: QPicture::play: Invalid command 113
Warning: QPicture::play: Invalid command 28
Warning: QPicture
Warning: QPicture
Warning: QPicture
Warning: QPicture
Warning: QPicture
Warning: QPicture
Warning: QPicture
Warning: QBuffer:
Warning: QPicture
Warning: QPicture
Warning: QPicture
Warning: QPicture
Warning: QPicture
Warning: QPicture
Warning: QPicture

play
play
play
play
play
play
play
seek:
:play
play
play
zplay
zplay
:play
:play

: Invalid command 162

: Invalid command 129

: Invalid command 3

: Invalid command 240

: Invalid command 240

: Invalid command 240

: Invalid command 255
Invalid pos: 5089

: Format error

: Format error

: Invalid command 81

: Invalid command 240

: Invalid command 240

: Invalid command 84

: Format error

Segmenteringsfel (minnesutskrift skapad)

History

#1 - 2018-01-01 09:42 PM - Nyall Dawson

Can you test with master? There was a related fix which landed in master but hasn't (yet) been backported, and I'm keen to know if it fixes this too.

#2 - 2018-01-02 09:00 AM - Klas Karlsson

Did test it in Master (2.99) and had no problem, then.

Right now I'm having other problems with current master, so | can't try... (maybe a new ticket)

#3 - 2018-01-02 07:29 PM - Jiirgen Fischer
- Crashes QGIS or corrupts data set to Yes

- Regression? set to

No

- Affected QGIS version setto 2.18.15
- Category changed from Any to Symbology

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Easy fix? set to No

#4 - 2018-02-22 07:43 PM - Giovanni Manghi
- Priority changed from Normal to High

#5 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#6 - 2019-02-11 12:24 AM - Nyall Dawson
- Status changed from Feedback to Closed

- Resolution set to fixed/implemented
Fixed in 3.0
